import {defineStore} from 'pinia';

export const useProductCategoryStore = defineStore('productCategory', () => {
  const productCategoryList = ref([]);

  const setProductCategoryList = (list: any) => {
    productCategoryList.value = list;
  };

  const getProductCategoryList = () => {
    return productCategoryList.value;
  };

  return {
    productCategoryList,
    setProductCategoryList,
    getProductCategoryList
  };
});
